Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1614)

Unified Diff: tools/llvm_coverage_build

Issue 1258083006: Cherry-pick m45 fixes onto m44 (Closed) Base URL: https://skia.googlesource.com/skia.git@m44
Patch Set: All the fixes Created 5 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tools/builder_name_schema.py ('k') | tools/llvm_coverage_run.py » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/llvm_coverage_build
diff --git a/tools/llvm_coverage_build b/tools/llvm_coverage_build
new file mode 100755
index 0000000000000000000000000000000000000000..85e9db964167ae7ae95ffaf8bdee37208d459f45
--- /dev/null
+++ b/tools/llvm_coverage_build
@@ -0,0 +1,29 @@
+#!/bin/bash
+# Copyright (c) 2015 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Build Skia for use with LLVM's coverage tools.
+#
+# $ tools/llvm_coverage_build [any other flags to pass to make...]
+#
+# This script assumes the use of Clang 3.6. Earlier versions do not support
+# the flags we use in the build, and 3.7+ hit asserts during compilation.
+#
+set -e
+
+export CC="${CC:-$(which clang)}"
+export CXX="${CXX:-$(which clang++)}"
+
+if [[ -z "${CC}" ]] || [[ -z "${CXX}" ]]; then
+ echo "Couldn't find Clang on this machine!"
+ exit 1
+fi
+
+echo "CC=$CC"
+echo "CXX=$CXX"
+$CC --version
+
+export GYP_DEFINES="skia_clang_build=1"
+export BUILDTYPE=Coverage
+make $@
« no previous file with comments | « tools/builder_name_schema.py ('k') | tools/llvm_coverage_run.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698